const Trivial = {
  imageToggle: null,

  init: function() {
    window.removeEventListener("load",this.init,false);
    // init the image toggle button
    try {
      var pref = gPrefService.getIntPref("network.image.imageBehavior");
      document.getElementById("trivial-image-toggle").setAttribute("mode",pref);
    } catch(e) {}
    // init the animation setting menuitem on the image toggle context menu
    try {
      var pref = gPrefService.getCharPref("image.animation_mode");
      document.getElementById("trivial-animation-toggle").setAttribute("checked",pref=="normal");
    } catch(e) {}
  },

  toggleImages: function(btn) {
    try {
      var pref = gPrefService.getIntPref("network.image.imageBehavior");
      // 0==accept all, 1==accept from orig. server, 2==reject all.  (not sure about 1)
      var newvalue = (pref==0) ? 2 : 0; // handle 1 later
      gPrefService.setIntPref("network.image.imageBehavior",newvalue);
      if(newvalue) btn.setAttribute("noimages","true");
      else btn.removeAttribute("noimages");
    } catch(e) {
      return;
    }
  },
  
  toggleAnimation: function(mi) {
    if(mi.getAttribute("checked")) {
      gPrefService.setCharPref("image.animation_mode","normal");
    } else {
      gPrefService.setCharPref("image.animation_mode","none");
    }
  }
}

window.addEventListener("load",Trivial.init,false);
